//$$---- Form CPP ----
//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include "UAdicionaUniver.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
	objeto_principal = new Principal();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::btnAdicionarClick(TObject *Sender)
{
	frmAdicionaUniver->limpaCampos();
	frmAdicionaUniver->setPrincipal( objeto_principal );
	frmAdicionaUniver->Show();
}
//---------------------------------------------------------------------------

void __fastcall TForm1::FormDestroy(TObject *Sender)
{
	delete objeto_principal;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::btnIniciarClick(TObject *Sender)
{
	lstUniver->Items->Clear();

	objeto_principal->IteradorLUniversidades = objeto_principal->LUniversidades.begin();

	while (objeto_principal->IteradorLUniversidades!= objeto_principal->LUniversidades.end())
	{
		string aux;
		aux = (*(objeto_principal->IteradorLUniversidades))->getNome();

		AnsiString NomeUniv;
		NomeUniv = aux.data();

		lstUniver->Items->Add(NomeUniv);
		objeto_principal->IteradorLUniversidades++;
	}
}
//---------------------------------------------------------------------------

void __fastcall TForm1::lstUniverClick(TObject *Sender)
{

	lstDepart->Items->Clear();

	AnsiString NomeUniv;
	int pos = lstUniver->ItemIndex;
	NomeUniv = lstUniver->Items->operator [](pos);

	Universidade* pUniv = NULL;

	objeto_principal->IteradorLUniversidades = objeto_principal->LUniversidades.begin();

	while (objeto_principal->IteradorLUniversidades!= objeto_principal->LUniversidades.end())
	{
		string aux;
		aux = (*(objeto_principal->IteradorLUniversidades))->getNome();

		AnsiString NomeAux = aux.data();
		if ( NomeUniv == NomeAux )
		{
			pUniv = *(objeto_principal->IteradorLUniversidades);
			break;
		}

		objeto_principal->IteradorLUniversidades++;
	}

	if (pUniv)
	{
		int tam = (int)	pUniv->ObjLDepartamentos.size();
		for (int i = 0; i < tam; i++)
		{
			Departamento* pDepart = NULL;
			pDepart = pUniv->ObjLDepartamentos[i];
			const string aux = pDepart->getNome();

			AnsiString NomeAux = aux.data();
			lstDepart->Items->Add( NomeAux );
		}
	}
}
//---------------------------------------------------------------------------

